#############################################################################
#############################################################################
###############                                                    ##########
###############       Cognitive Ability and Risk Aversion:         ##########
###############  A systematic Literature Review and Meta-Analysis  ##########
###############                                                    ##########
###############           Comparing Males and Females              ##########
###############                                                    ##########
###############                                                    ##########
#############################################################################


#############################################################################
##                                                                         ##
##  This R-script replicates the results from the paper:"Cognitive Ability ##
##  and Risk Aversion: A systematic Review and Meta-Analysis".             ##
##                                                                         ##
#############################################################################


#############################################################################                                                                      
##  Please note that you need to run the following scripts before running  ##
##  this script to compare the results for males and females only:         ## 
##                                                                         ##
##    (1) Cognitive Ability and Risk Aversion A Systmeatic Review and      ##
##        Meta-Analysis (Males Only).R                                     ##
##                                                                         ##
##    (2) Cognitive Ability and Risk Aversion A Systmeatic Review and      ##
##        Meta-Analysis (Females Only).R                                   ##
##                                                                         ##
#############################################################################


##########################################################
##  Comparing Males and Females in the Domain of Gains  ##
##########################################################


  Dat_Comp_Gain <- data.frame(estimate = c(coef(Res_Gain_Male), coef(Res_Gain_Female)), stderror = c(Res_Gain_Male$se, Res_Gain_Female$se),
                       meta = c("Males","Females"), tau2 = round(c(Res_Gain_Male$tau2, Res_Gain_Female$tau2),3))


  rma(estimate, sei=stderror, mods = ~ meta, method="FE", data=Dat_Comp_Gain, digits=2)



##########################################################
##  Comparing Males and Females in the Mixed Domain of  ##
##########################################################


  Dat_Comp_Mixed <- data.frame(estimate = c(coef(Res_Mixed_Male), coef(Res_Mixed_Female)), stderror = c(Res_Mixed_Male$se, Res_Mixed_Female$se),
                            meta = c("Males","Females"), tau2 = round(c(Res_Mixed_Male$tau2, Res_Mixed_Female$tau2),3))


  rma(estimate, sei=stderror, mods = ~ meta, method="FE", data=Dat_Comp_Mixed, digits=2)





##########################################################
##  Comparing Males and Females in the Domain of Losses ##
##########################################################

  Dat_Comp_Losses <- data.frame(estimate = c(coef(Res_Losses_Male), coef(Res_Losses_Female)), stderror = c(Res_Losses_Male$se, Res_Losses_Female$se),
                            meta = c("Males","Females"), tau2 = round(c(Res_Losses_Male$tau2, Res_Losses_Female$tau2),3))

  rma(estimate, sei=stderror, mods = ~ meta, method="FE", data=Dat_Comp_Losses, digits=2)




